﻿@model HOD.Models.RegisterModel
@{
    ViewBag.Title = "Register";
}
@{
    Layout = "~/Views/Shared/_CasavueLayout.cshtml";
}





@{

    string RootDirectory = ViewBag.RootUrl;
    string ImageDirectory = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/";
    const string TIER_SESSIONKEY = "TIER";
    const string TIERS_FREE = "FREE";
    bool isFreeTier = false;

    string address = Model.Address + ", " + Model.City + ", " + Model.Province;

    HOD.Data.Entities.UserProfile agentDetails;
    string logoImage = string.Empty;
    int agentId = 0;
    string background = string.Empty;
    string businessName = string.Empty;
    string phone1 = string.Empty;
    string phone2 = string.Empty;
    string agentPhoto = string.Empty;
    string agentAddress = string.Empty;
    string province = string.Empty;
    string postalCode = string.Empty;
    string agentUrl = string.Empty;

    HOD.Data.Entities.AgentInformation agentData;

    if (Session["AGENTID"] != null)
    {
        agentId = int.Parse(Session["AGENTID"].ToString());
    }
    else
    {
        agentId = Model.AgentID;
    }

    if (Session[TIER_SESSIONKEY] == null)
    {
        isFreeTier = false;
    }
    else
    {
        if (Session[TIER_SESSIONKEY].ToString().ToUpper() == TIERS_FREE)
        {
            isFreeTier = true;
        }
        else
        {
            isFreeTier = false;
        }
    }


    using (HOD.Data.Entities.HODContext db = new HOD.Data.Entities.HODContext())
    {
        agentDetails = db.UserProfiles.Where(x => x.UserId == agentId).FirstOrDefault();

        if (agentDetails != null && agentDetails.Tier.ToUpper() == "FREE")
        {
            isFreeTier = true;
        }
        else
        {
            isFreeTier = false;
        }
    }

    bool isCasaVueAgent = false;

    if (agentId == Convert.ToInt32(System.Configuration.ConfigurationManager.AppSettings["DefaultAgentId"].ToString()))
    {
        isCasaVueAgent = true;
    }


    using (HOD.Data.Entities.HODContext dbContext = new HOD.Data.Entities.HODContext())
    {

        agentData = dbContext.AgentInformations.Where(x => x.AgentId == agentId).FirstOrDefault();

        if (agentData != null)
        {

            if (agentData.MainWebsitePhoto != null)
            {
                logoImage = ImageDirectory + agentData.MainWebsitePhoto;
            }
            agentPhoto = ImageDirectory + agentData.ProfilePhoto;
            background = ImageDirectory + agentData.BackgroundPhoto;
            logoImage = ImageDirectory + agentData.Logo;
            businessName = agentData.BusinessName;
            phone1 = agentData.Phone1;
            phone2 = agentData.Phone2;
            province = agentData.Province;
            postalCode = agentData.PostalCode;
            agentAddress = agentData.BusinessAddress;
            agentUrl = agentData.AgentUrl;
            if (isFreeTier && !isCasaVueAgent)
            {
                background = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/bgTopNew.jpg";
                logoImage = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
            }
        }
        else
        {
            agentPhoto = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/Apex-Headshot-logo.png";
            logoImage = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
        }
    }

}


<div class="page-wrapper">
    <div id="page-title">
        <div class="fullwidth background-green block center mb0">
            <div class="container">
                <h1>Create an account</h1>
            </div><!-- /.container -->
        </div>
    </div>
    <div class="main">
        <div class="container">
            <div class="content">
                <div class="row">
                    @using (Html.BeginForm("Register", "Account", FormMethod.Post, new Dictionary<string, object> { { "id", "register-form" }, { "enctype", "multipart/form-data" }, { "class", "" } }))
                    {

                        <div>
                            <h3>First step</h3>
                            <section>
                                <div class="col-sm-12">
                                    <div class="box">
                                        <h2 class="mt0 mb0">Account information</h2>
                                        <p>All fields are required.</p>
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.UserName, new { @class = "form-control", @placeholder = "Client E-mail Login (for signing in)", @maxlength = "56", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.UserName)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    @Html.PasswordFor(m => m.Password, new { @class = "form-control", @placeholder = "Password", @maxlength = "128", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.Password)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control", @placeholder = "Confirm your Password", @maxlength = "128", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.ConfirmPassword)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="box">
                                        <h2 class="mt0 mb0">Package Selection</h2>
                                        @if (Model.UserType == "Seller")
                                        {


                                            if (isFreeTier)
                                            {
                                                @: @Html.DropDownListFor(m => m.Package, new SelectList(
                                                              new List<Object>{
                                                              //   new { value="Listing", text = "Listing Package" },
                                                               // new { value="Silver", text = "Premium Silver Member" },
                                                                new { value="FREE", text = "Free Package"},
                                                                },
                                                              "value",
                                                              "text",
                                                              "Gold"), new { @class = "form-control", @placeholder = "Expiration Year", @id = "packageSelection" })
                                                         }
                                            else
                                            {
                                                List<SelectListItem> PackageItems = new List<SelectListItem>();

                                                using (HOD.Models.PackageListContext pl = new HOD.Models.PackageListContext())
                                                {

                                                    var packages = pl.PList.Where(x => x.PackageTypeId == 6);

                                                    if (packages != null)
                                                    {
                                                        foreach (var pk in packages)
                                                        {
                                                            PackageItems.Add(new SelectListItem { Text = pk.PackageName + " Package - $" + pk.PackageAmount.ToString(), Value = pk.PackageId.ToString() });
                                                        }
                                                    }
                                                }
                                                @: @Html.DropDownListFor(m => m.Package, PackageItems, new { @class = "form-control", @placeholder = "Expiration Year", @id = "packageSelection" })
                                                         }
                                        }

                                    </div>
                                </div>
                                <div class="col-sm-12 hidden" id="shopping-cart" class="">
                                    <div class="box">
                                        <h2 class="mt0 mb0">Get Your Virtual Lwan Now</h2>
                                        <div class="col-md-6">
                                            <label><input type="radio" value="0" id="orderTriggerLater" name="order_later" checked="checked" /> Order Lawn Sign Later</label>
                                        </div>
                                        <div class="col-md-6">
                                            <label><input type="radio" value="1" name="order_later" id="orderTriggerNow" /> Order Lawn Sign Now</label>
                                        </div>
                                    </div>

                                    <div class="box products hidden">
                                        <div class="col-md-12">
                                            <h2>Basic Package</h2>
                                            <div class="product_description" id="package-Basic">
                                                <table class="product-data" width="100%" cellpadding="5" style="border: 1px solid #ccc;">
                                                    <tr class="product-data-header">
                                                        <td><h3>4mm Standard Custom Lawn Sign</h3></td>
                                                        <td><h3>Wire 4mm H posts  </h3></td>
                                                    </tr>

                                                    <tr class="product-data-details">
                                                        <td>
                                                            <img src="~/Images/lawnsign1-1.jpg" style="max-width: 200px" />
                                                            <img src="~/Images/lawnsign1-2.png" style="max-width: 150px" />

                                                            <div class="product-description">
                                                                4mm Standard Custom Lawn Sign 18x24

                                                                <br /><span style="color: #ff0000">Price: <span style="text-decoration: line-through">$15.95</span> Free!!</span>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <img src="~/Images/lawnsign1-3.png" style="max-width: 150px" />
                                                            <div class="product-description">
                                                                Wire 4mm H Post

                                                                <br /><span style="color: #ff0000">Free!!</span>
                                                            </div>
                                                        </td>

                                                    </tr>

                                                    <tr class="product-data-header">
                                                        <td colspan="2">
                                                            <strong> Basic Package</strong> Total Price: Free (plus shipping)
                                                            <a href="javascript" package_name="Basic" price="0" class="add-to-cart-button">Add To Cart</a>
                                                        </td>
                                                    </tr>


                                                </table>
                                            </div>

                                            <h2>Standard Package (RECOMMENDED/PRE-SELECTED) </h2>
                                            <div class="product_description" id="package-Standard">
                                                <table class="product-data selected-package" width="100%" cellpadding="5" style="border: 1px solid #ccc;">
                                                    <tr class="product-data-header">
                                                        <td><h3>6mm Standard Custom Lawn Sign</h3></td>
                                                        <td><h3>Standard Lawn Post </h3></td>
                                                    </tr>

                                                    <tr class="product-data-details">
                                                        <td>
                                                            <img src="~/Images/lawnsign1-1.jpg" style="max-width: 200px" />
                                                            <img src="~/Images/lawnsign2-2.png" style="max-width: 150px" />

                                                            <div class="product-description">
                                                                Standard Custom Lawn Sign 18x24

                                                                <br /><span style="color: #ff0000">Price: <span style="text-decoration: line-through">$29.95</span> Free!!</span>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <img src="~/Images/lawnsign2-3.png" style="max-width: 150px" />
                                                            <div class="product-description">
                                                                Standard Lawn Post 18x24

                                                                <br />Price: $29.95
                                                            </div>
                                                        </td>

                                                    </tr>

                                                    <tr class="product-data-header">
                                                        <td colspan="2">
                                                            <strong>Standard Package  </strong> Total Price: $29.95 (plus shipping)
                                                            <a href="javascript" package_name="Standard" price="29.95" class="add-to-cart-button">Add To Cart</a>
                                                        </td>
                                                    </tr>


                                                </table>


                                            </div>


                                            <h2>Premium Package</h2>
                                            <div class="product_description" id="package-Premium">
                                                <table class="product-data" width="100%" cellpadding="5" style="border: 1px solid #ccc;">
                                                    <tr class="product-data-header">
                                                        <td><h3>8mm Premium Custom Lawn Sign</h3></td>
                                                        <td><h3>Premium Lawn Post </h3></td>
                                                    </tr>

                                                    <tr class="product-data-details">
                                                        <td>
                                                            <img src="~/Images/lawnsign1-1.jpg" style="max-width: 200px" />
                                                            <img src="~/Images/lawnsign1-2.png" style="max-width: 150px" />

                                                            <div class="product-description">
                                                                Premium Custom Lawn Sign 24x36

                                                                <br /><span style="color: #ff0000">Price: $75.95</span>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <img src="~/Images/lawnsign1-3.png" style="max-width: 150px" />
                                                            <div class="product-description">
                                                                Premium Lawn Post 24x36



                                                                <br /><span style="color: #ff0000"> Price: $125.95</span>
                                                            </div>
                                                        </td>

                                                    </tr>

                                                    <tr class="product-data-header">
                                                        <td colspan="2">
                                                            <strong> Premium Package </strong>Total Price: $149.95  (plus shipping)
                                                            <a href="javascript" package_name="Premium" price="149.95" class="add-to-cart-button">Add To Cart</a>
                                                        </td>
                                                    </tr>


                                                </table>


                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <input type="hidden" name="selected_package_price" id="selected_package_price" value="29.95" />
                                <input type="hidden" name="selected_package_name" id="selected_package_name" value="Standard" />
                                <div class="col-sm-12 text-center">
                                    <a id="next-step" class="btn btn-xl" type="submit">Next step</a>
                                </div>
                            </section>
                            <h3>Second step</h3>
                            <section>
                                <div class="col-sm-12">
                                    <div class="box">
                                        <h2 class="mt0 mb0">Client Property Information</h2>
                                        <p>Note: Only Neighbourhood, City, State/Prov will be displayed publicly on Virtual Lawn Sign and on Property Website)</p>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.FirstName, new { @class = "form-control", @placeholder = "First Name", @maxlength = "56", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.FirstName)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.LastName, new { @class = "form-control", @placeholder = "Last Name", @maxlength = "56", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.UserName)</span>

                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.PhoneNumberCell, new { @class = "form-control", @placeholder = "Phone Number (Cell)", @maxlength = "56", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.PhoneNumberCell)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.PhoneNumberLandLine, new { @class = "form-control", @placeholder = "Phone Number (Landline)", @maxlength = "56" })
                                                    <span>@Html.ValidationMessageFor(m => m.PhoneNumberLandLine)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextAreaFor(m => m.Address, new { @class = "form-control", @placeholder = "Address", id = "address", @rows = "3", @maxlength = "200", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.Address)</span>

                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.City, new { @class = "form-control", @placeholder = "City", id = "city", @maxlength = "56", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.City)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.DropDownListFor(m => m.Province, new SelectList(
                                                                              new List<Object>{
                                                                                new { value="", text = "PROVINCE/STATE" },
                                                                                new { value="", text = "-----------------" },
                                                                                new { value="", text = "CANADIAN PROVINCES" },
                                                                                new { value="", text = "-----------------" },
                                                                                new { value="Alberta", text = "Alberta" },
                                                                                new { value="British Columbia", text = "British Columbia" },
                                                                                new { value="Manitoba", text = "Manitoba" },
                                                                                new { value="New Brunswick", text = "New Brunswick" },
                                                                                new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                                                                new { value="Northwest Terriories", text = "Northwest Terriories" },
                                                                                new { value="Nova Scotia", text = "Nova Scotia" },
                                                                                new { value="Nunavut", text = "Nunavut" },
                                                                                new { value="Ontario", text = "Ontario" },
                                                                                new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                                                                new { value="Quebec", text = "Quebec" },
                                                                                new { value="Saskatchewan", text = "Saskatchewan" },
                                                                                new { value="Yukon", text = "Yukon" },
                                                                                new { value="", text = "-----------------" },
                                                                                new { value="", text = "US STATES" },
                                                                                new { value="", text = "-----------------" },
                                                                                new  { Text="Alabama", Value="AL"},
                                                                                new  { Text="Alaska", Value="AK"},
                                                                                new  { Text="Arizona", Value="AZ"},
                                                                                new  { Text="Arkansas", Value="AR"},
                                                                                new  { Text="California", Value="CA"},
                                                                                new  { Text="Colorado", Value="CO"},
                                                                                new  { Text="Connecticut", Value="CT"},
                                                                                new  { Text="District of Columbia", Value="DC"},
                                                                                new  { Text="Delaware", Value="DE"},
                                                                                new  { Text="Florida", Value="FL"},
                                                                                new  { Text="Georgia", Value="GA"},
                                                                                new  { Text="Hawaii", Value="HI"},
                                                                                new  { Text="Idaho", Value="ID"},
                                                                                new  { Text="Illinois", Value="IL"},
                                                                                new  { Text="Indiana", Value="IN"},
                                                                                new  { Text="Iowa", Value="IA"},
                                                                                new  { Text="Kansas", Value="KS"},
                                                                                new  { Text="Kentucky", Value="KY"},
                                                                                new  { Text="Louisiana", Value="LA"},
                                                                                new  { Text="Maine", Value="ME"},
                                                                                new  { Text="Maryland", Value="MD"},
                                                                                new  { Text="Massachusetts", Value="MA"},
                                                                                new  { Text="Michigan", Value="MI"},
                                                                                new  { Text="Minnesota", Value="MN"},
                                                                                new  { Text="Mississippi", Value="MS"},
                                                                                new  { Text="Missouri", Value="MO"},
                                                                                new  { Text="Montana", Value="MT"},
                                                                                new  { Text="Nebraska", Value="NE"},
                                                                                new  { Text="Nevada", Value="NV"},
                                                                                new  { Text="New Hampshire", Value="NH"},
                                                                                new  { Text="New Jersey", Value="NJ"},
                                                                                new  { Text="New Mexico", Value="NM"},
                                                                                new  { Text="New York", Value="NY"},
                                                                                new  { Text="North Carolina", Value="NC"},
                                                                                new  { Text="North Dakota", Value="ND"},
                                                                                new  { Text="Ohio", Value="OH"},
                                                                                new  { Text="Oklahoma", Value="OK"},
                                                                                new  { Text="Oregon", Value="OR"},
                                                                                new  { Text="Pennsylvania", Value="PA"},
                                                                                new  { Text="Rhode Island", Value="RI"},
                                                                                new  { Text="South Carolina", Value="SC"},
                                                                                new  { Text="South Dakota", Value="SD"},
                                                                                new  { Text="Tennessee", Value="TN"},
                                                                                new  { Text="Texas", Value="TX"},
                                                                                new  { Text="Utah", Value="UT"},
                                                                                new  { Text="Vermont", Value="VT"},
                                                                                new  { Text="Virginia", Value="VA"},
                                                                                new  { Text="Washington", Value="WA"},
                                                                                new  { Text="West Virginia", Value="WV"},
                                                                                new  { Text="Wisconsin", Value="WI"},
                                                                                new  { Text="Wyoming", Value="WY"}

                                                                                },
                                                                              "value",
                                                                              "text",
                                                                               2), new { @class = "form-control", @placeholder = "Province", id = "province" })

                                                    <span>@Html.ValidationMessageFor(m => m.Province)</span>

                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.PostalCode, new { @class = "form-control", @placeholder = "Postal Code", id = "postalcode", @maxlength = "20", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.Province)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                    </div>
                                </div>



                                <div class="col-sm-12">
                                    <div class="box">
                                        <label class="float-right hidden">

                                            @Html.CheckBoxFor(m => m.CopyBillingAddress, new { @id = "copybillingaddress", @checked = "checked" })Pre-Checked Billing Address Same as Above
                                        </label>
                                        <h2 class="mt0 mb0">Billing Information</h2>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.BillingName, new { @class = "form-control", @placeholder = "Billing Name", id = "billingname", @maxlength = "120", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.BillingName)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextAreaFor(m => m.BillingAddress, new { @class = "form-control", @placeholder = "Billing Address", id = "billingaddress", @rows = "3", @maxlength = "200", @required = "required" })

                                                    <span>@Html.ValidationMessageFor(m => m.BillingAddress)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.BillingCity, new { @class = "form-control", @placeholder = "Billing City", id = "billingcity", @maxlength = "56", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.BillingCity)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.DropDownListFor(m => m.BillingProvince, new SelectList(
                                                      new List<Object>{
                                                    new { value="", text = "PROVINCE/STATE" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "CANADIAN PROVINCES" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="Alberta", text = "Alberta" },
                                                    new { value="British Columbia", text = "British Columbia" },
                                                    new { value="Manitoba", text = "Manitoba" },
                                                    new { value="New Brunswick", text = "New Brunswick" },
                                                    new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                                    new { value="Northwest Terriories", text = "Northwest Terriories" },
                                                    new { value="Nova Scotia", text = "Nova Scotia" },
                                                    new { value="Nunavut", text = "Nunavut" },
                                                    new { value="Ontario", text = "Ontario" },
                                                    new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                                    new { value="Quebec", text = "Quebec" },
                                                    new { value="Saskatchewan", text = "Saskatchewan" },
                                                    new { value="Yukon", text = "Yukon" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "US STATES" },
                                                    new { value="", text = "-----------------" },
                                                    new  { Text="Alabama", Value="AL"},
                                                    new  { Text="Alaska", Value="AK"},
                                                    new  { Text="Arizona", Value="AZ"},
                                                    new  { Text="Arkansas", Value="AR"},
                                                    new  { Text="California", Value="CA"},
                                                    new  { Text="Colorado", Value="CO"},
                                                    new  { Text="Connecticut", Value="CT"},
                                                    new  { Text="District of Columbia", Value="DC"},
                                                    new  { Text="Delaware", Value="DE"},
                                                    new  { Text="Florida", Value="FL"},
                                                    new  { Text="Georgia", Value="GA"},
                                                    new  { Text="Hawaii", Value="HI"},
                                                    new  { Text="Idaho", Value="ID"},
                                                    new  { Text="Illinois", Value="IL"},
                                                    new  { Text="Indiana", Value="IN"},
                                                    new  { Text="Iowa", Value="IA"},
                                                    new  { Text="Kansas", Value="KS"},
                                                    new  { Text="Kentucky", Value="KY"},
                                                    new  { Text="Louisiana", Value="LA"},
                                                    new  { Text="Maine", Value="ME"},
                                                    new  { Text="Maryland", Value="MD"},
                                                    new  { Text="Massachusetts", Value="MA"},
                                                    new  { Text="Michigan", Value="MI"},
                                                    new  { Text="Minnesota", Value="MN"},
                                                    new  { Text="Mississippi", Value="MS"},
                                                    new  { Text="Missouri", Value="MO"},
                                                    new  { Text="Montana", Value="MT"},
                                                    new  { Text="Nebraska", Value="NE"},
                                                    new  { Text="Nevada", Value="NV"},
                                                    new  { Text="New Hampshire", Value="NH"},
                                                    new  { Text="New Jersey", Value="NJ"},
                                                    new  { Text="New Mexico", Value="NM"},
                                                    new  { Text="New York", Value="NY"},
                                                    new  { Text="North Carolina", Value="NC"},
                                                    new  { Text="North Dakota", Value="ND"},
                                                    new  { Text="Ohio", Value="OH"},
                                                    new  { Text="Oklahoma", Value="OK"},
                                                    new  { Text="Oregon", Value="OR"},
                                                    new  { Text="Pennsylvania", Value="PA"},
                                                    new  { Text="Rhode Island", Value="RI"},
                                                    new  { Text="South Carolina", Value="SC"},
                                                    new  { Text="South Dakota", Value="SD"},
                                                    new  { Text="Tennessee", Value="TN"},
                                                    new  { Text="Texas", Value="TX"},
                                                    new  { Text="Utah", Value="UT"},
                                                    new  { Text="Vermont", Value="VT"},
                                                    new  { Text="Virginia", Value="VA"},
                                                    new  { Text="Washington", Value="WA"},
                                                    new  { Text="West Virginia", Value="WV"},
                                                    new  { Text="Wisconsin", Value="WI"},
                                                    new  { Text="Wyoming", Value="WY"}

                                                    },
                                                  "value",
                                                  "text",
                                                       2), new { @class = "form-control", @placeholder = "Billing Province", id = "billingprovince" })

                                                    <span>@Html.ValidationMessageFor(m => m.BillingProvince)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.BillingPostalCode, new { @class = "form-control", @placeholder = "Billing Postal Code", id = "billingpostalcode", @maxlength = "20" })
                                                    <span>@Html.ValidationMessageFor(m => m.BillingPostalCode)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12">
                                    <div class="box">
                                        <h2 class="mt0 mb0">Payment</h2>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.CardNumber, new { @class = "form-control", @placeholder = "Card Number", @maxlength = "16", @id = "TXTBXCARDNUM", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.CardNumber)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                @Html.DropDownListFor(m => m.ExpirationMonth, new SelectList(
                                                      new List<Object>{
                                                        new { value="", text = "Exp. Month" },
                                                        new { value="01", text = "01" },
                                                        new { value="02", text = "02" },
                                                        new { value="03", text = "03" },
                                                        new { value="04", text = "04" },
                                                        new { value="05", text = "05" },
                                                        new { value="06", text = "06" },
                                                        new { value="07", text = "07" },
                                                        new { value="08", text = "08" },
                                                        new { value="09", text = "09" },
                                                        new { value="10", text = "10" },
                                                        new { value="11", text = "11" },
                                                        new { value="12", text = "12" },
                                                        },
                                                      "value",
                                                      "text",
                                                       2), new { @class = "form-control", @placeholder = "Expiration Month", @id = "DRPBXMONTH" })

                                                <span>@Html.ValidationMessageFor(m => m.ExpirationMonth)</span>
                                            </div>
                                            <div class="col-sm-6">
                                                @Html.DropDownListFor(m => m.ExpirationYear, new SelectList(
                                                                        new List<Object>{
                                                                        new { value="", text = "Exp. Year" },
                                                                        new { value=@DateTime.Now.Year, text = @DateTime.Now.Year.ToString() },
                                                                        new { value=@DateTime.Now.AddYears(1).Year, text = @DateTime.Now.AddYears(1).Year },
                                                                        new { value=@DateTime.Now.AddYears(2).Year, text = @DateTime.Now.AddYears(2).Year },
                                                                        new { value=@DateTime.Now.AddYears(3).Year, text = @DateTime.Now.AddYears(3).Year },
                                                                        new { value=@DateTime.Now.AddYears(4).Year, text = @DateTime.Now.AddYears(4).Year },
                                                                        new { value=@DateTime.Now.AddYears(5).Year, text = @DateTime.Now.AddYears(5).Year },
                                                                        new { value=@DateTime.Now.AddYears(6).Year, text = @DateTime.Now.AddYears(6).Year },
                                                                        new { value=@DateTime.Now.AddYears(7).Year, text = @DateTime.Now.AddYears(7).Year },
                                                                        new { value=@DateTime.Now.AddYears(8).Year, text = @DateTime.Now.AddYears(8).Year },
                                                                        new { value=@DateTime.Now.AddYears(9).Year, text = @DateTime.Now.AddYears(9).Year },
                                                                        new { value=@DateTime.Now.AddYears(10).Year, text = @DateTime.Now.AddYears(10).Year },
                                                                        },
                                                                      "value",
                                                                      "text",
                                                                       2), new { @class = "form-control", @placeholder = "Expiration Year", @id = "DRPBXYEAR" })

                                                <span>@Html.ValidationMessageFor(m => m.ExpirationYear)</span>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    @Html.TextBoxFor(m => m.CVC, new { @class = "form-control", @placeholder = "CVC", @maxlength = "4", @id = "TXTBXCVC", @required = "required" })
                                                    <span>@Html.ValidationMessageFor(m => m.CVC)</span>
                                                </div><!-- /.form-group -->
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12 text-center">
                                    <label class="terms"><input type="checkbox">I have read and agree to Terms of service</label>
                                    <button class="btn btn-xl" type="submit">Sign up now</button>
                                </div>
                            </section>
                        </div>

                        @Html.DropDownListFor(m => m.Country, new SelectList(
                                                  new List<Object>{
                                                    new { value="CANADA", text = "Canada" },
                                                    new { value="USA", text = "USA" },
                                                    new { value="MEXICO", text = "Mexico" }
                                                    },
                                                  "value",
                                                  "text",
                                                   "CANADA"), new { @class = "form-control", @placeholder = "Country", id = "country", style = "visibility:hidden" })

                        @Html.AntiForgeryToken()
                        @Html.ValidationSummary()
                        @Html.HiddenFor(m => m.UserType)
                        @Html.Hidden("redirectUrl", ViewData["redirectUrl"])
                        @Html.HiddenFor(m => m.AgentID, agentId)
                        @Html.HiddenFor(m => m.AgentPayOnUserBehalf, Model.AgentPayOnUserBehalf)

                    }


                </div>
            </div>
        </div>
    </div><!-- /.main -->
    <div id="footer" class="footer">
        <div class="footer-top">
            <div class="container">
                <div class="footer-top-inner">
                    <nav>
                        <ul class="nav nav-pills">
                            <li><a href="index.html">Home</a></li>
                            <li><a href="how-it-works.html">How it works</a></li>
                            <li><a href="index.html#pricing">Pricing</a></li>
                            <li><a href="contact.html">Contact</a></li>
                        </ul>
                    </nav>
                </div><!-- /.footer-top-inner -->
            </div><!-- /.container -->
        </div><!-- /.footer-top -->
        <div class="footer-bottom">
            <div class="container">
                <div class="footer-bottom-inner">
                    <div class="footer-bottom-left">
                        &copy; 2015 Casavue. All rights reserved.
                    </div><!-- /.footer-bottom-left -->
                    <div class="footer-bottom-right">
                        <ul class="header-topbar-social ml30">
                            <li><a href="https://www.facebook.com/1844CasaVue"><i class="fa fa-facebook"></i></a></li>
                            <li><a href="https://plus.google.com/115568953858325657933/posts"><i class="fa fa-google-plus"></i></a></li>
                            <li><a href="https://www.linkedin.com/in/casavue"><i class="fa fa-linkedin"></i></a></li>
                            <li><a href="https://twitter.com/CasaVue1"><i class="fa fa-twitter"></i></a></li>
                            <li><a href="https://www.pinterest.com/CasaVue/"><i class="fa fa-pinterest"></i></a></li>
                        </ul>
                    </div><!-- /.footer-bottom-right -->
                </div><!-- /.footer-bottom-inner -->
            </div><!-- /.container -->
        </div><!-- /.footer-bottom -->
    </div><!-- /.footer -->
</div><!-- /.page-wrapper-->
@section scripts{
    <script type="text/javascript">

        $(document).ready(function () {
            'use strict';

            var form = $("#register-form");

            form.show();

            form.validate({
                errorPlacement: function errorPlacement(error, element) {
                    element.before(error);
                },
                rules: {
                    confirm: {
                        equalTo: "#password"
                    }
                }
            });

            function resizeJquerySteps() {
                $('.wizard .content').animate({ height: $('.body.current').outerHeight() }, "slow");
            }

            form.children("div").steps({
                headerTag: "h3",
                bodyTag: "section",
                transitionEffect: "slideLeft",
                onInit: function (event, currentIndex) {
                    if (currentIndex == 0)
                        $('.wizard .content').css("height", '30em');

                },
                onStepChanging: function (event, currentIndex, newIndex) {

                    form.validate().settings.ignore = ":disabled,:hidden";
                    return form.valid();
                },
                onFinishing: function (event, currentIndex) {
                    form.validate().settings.ignore = ":disabled";
                    return form.valid();
                },
                onFinished: function (event, currentIndex) {
                    alert("Submitted!");
                },
                onStepChanged: function (event, currentIndex, priorIndex) {
                    resizeJquerySteps();

                }
            });

            $('#next-step').click(function () {
                form.children("div").steps("next");
            });

            $('#packageSelection').change(function () {
                if ($(this).val() == '2' || $(this).val() == '3') {
                    $('#shopping-cart').removeClass('hidden');
                }
                else
                    $('#shopping-cart').addClass('hidden');
            });

            $("#orderTriggerNow").click(function () {
                $('.products').removeClass('hidden');
            });

            $("#orderTriggerLater").click(function () {
                $('.products').addClass('hidden');
            });

            $('.add-to-cart-button').click(function () {
                $('.product-data').removeClass('selected-package');
                var price = $(this).attr('price');
                var packagename = $(this).attr('package_name');
                $('#selected_package_name').val(packagename);
                $('#selected_package_price').val(price);
                $('#package-' + packagename + ' > table').addClass('selected-package');
                return false;

            });

        });

    </script>
}




